Bug 1303777 - SAS Works application crashes with Memory Fault
SAS Works application crashes with Memory Fault
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh (Show other bugs)
6.7
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Siteshwar Vashisht
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 18:41 EST by bhudlemeyer
Modified: 2017-06-13 04:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-13 04:04:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to reproduce memory dump (547 bytes, application/zip)
2016-02-01 18:41 EST, bhudlemeyer
no flags Details

  None (edit)
Description bhudlemeyer 2016-02-01 18:41:02 EST
Created attachment 1120258 [details]
Script to reproduce memory dump

Description of problem:Memory dump error when running SAS works applications on latest patch


Version-Release number of selected component (if applicable):


How reproducible:Run attached scripts

I have completed the root cause for this issue.
I have isolated the problem to an issue that is present within the latest OS patching for RHEL6.  This new bug was triggered in a section of code within my platform middleware.
 
 
PFA a set of two scripts that can be used to induce the Red Hat bug:

·         testcase.ksh
·         testcase_sub.ksh
 
 
To trigger the issue, you only need to copy the two scripts to the same directory and then run testcase.ksh.
 
Here is the output when running the script on one of RHEL6 servers at the earlier patch level:
 
*:/home/mware/test01> ./testcase.ksh
In script #1: -- testcase.ksh
In script #1:    calling testcase_sub.ksh
In script #2: -- testcase_sub.ksh
In script #1:    RC=0
 
And here is the output when running the script on another RHEL6 server with the updated patch level:
 
*:/home/mware/test01> ./testcase.ksh
In script #1: -- testcase.ksh
In script #1:    calling testcase_sub.ksh
In script #2: -- testcase_sub.ksh
./testcase.ksh: line 6: 27982: Memory fault(coredump)
In script #1:    RC=267
 
2.6.32-573.12.1.el6.x86_64 #1 SMP Mon Nov 23 12:55:32 EST 2015 x86_64 x86_64 x86_64 GNU/Linux
 
Note  that the core dump produces the return code value of 267 that the application team was reporting.


Actual results: Memory Fault


Expected results: Successful run


Additional info: Scripts to reproduce issue attached
Comment 2 Michal Hlavinka 2016-02-02 12:34:33 EST
What ksh package do you have exactly?
$ rpm -q ksh
thanks

Note You need to log in before you can comment on or make changes to this bug.